<template>
    <div class="client-list_wrapper">
        <div class="client-list_title">
            <h3>Список заказов</h3>
        </div>
        <div class='client-list'>
            <table class="table table-default">
                <thead>
                    <tr>
                        <td>#</td>
                        <td>Ф.И.О клиента</td>
                        <td>E-mail</td>
                        <td>Номер телефона</td>
                        <td>Последний визит</td>
                    </tr>
                </thead>
                <tbody>
                    <tr v-for="client in clients" :key="client.id" v-bind:class="client.status">
                        <td>{{ client.id }}</td>
                        <td><a href="#">{{ client.clientName }}</a></td>
                        <td>{{ client.eMail }}</td>
                        <td>{{ client.phoneNumber }}</td>
                        <td>{{ client.lastVisit }}</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class='client-list_control'>
            <button class='btn btn-primary' v-on:click="callNewclientForm">Добавление клиента</button>
        </div>
    </div> 
</template>
<script>
export default {
    name: 'Cliets',
    data: function() {
        return {
            clients: [
                {
                    id: 1,
                    clientName: 'Пупкин, просто Пупкин',
                    eMail: 'test@test.ru',
                    phoneNumber: '+7(999)999-99-99',
                    status: 'active',
                    lastVisit: new Date(),
                },
                {
                    id: 2,
                    clientName: 'Пупкин, просто Пупкин',
                    eMail: 'test@test.ru',
                    phoneNumber: '+7(999)999-99-99',
                    status: 'no-active',
                    lastVisit: new Date(),
                },
                {
                    id: 3,
                    clientName: 'Пупкин, просто Пупкин',
                    eMail: 'test@test.ru',
                    phoneNumber: '+7(999)999-99-99',
                    status: 'black-list',
                    lastVisit: new Date(),
                }
            ]
        }
    },
    methods: {
        callNewclientForm: function() {
            alert(123);
        }
    }
}
</script>

<style>
    .client-list > .table-default td {
        border: none;
    }
    .client-list > .table-default tr.active td {
        background: rgba(182,255,174,.55);
    }
    .client-list > .table-default tr.black-list td {
        background: rgba(255,174,174,.55);
    }
</style>